program nadovezivanje;
var a,b,c,max:string;
begin
read(a,b,c);
max:=a+b+c;
if (a+c+b)>max then
max:=a+c+b;
if (b+a+c)>max then
max:=b+a+c;
if (b+c+a)>max then
max:=b+c+a;
if (c+b+a)>max then
max:=c+b+a;
if (c+a+b)>max then
max:=c+a+b;
write(max);
end.